version: "2"
services:
  rabbitmqserver:
    container_name: rabbitmq
    ports:
      - "5672:5672"
      - "15672:15672"
    image: rabbitmq:3.7.7-management-alpine

  rabbitmqclient_receiver:
    build: ./receive
    restart: always 
    container_name: receiver
    environment:
      RABBITMQURL: "amqp://rabbitmqserver"
      RABBITMQWFI: "rabbitmqserver:5672 -t 10 -- npm start"
    volumes: 
      - ./receive/app:/app
    links:
      - rabbitmqserver

  rabbitmqclient_receiver2:
    build: ./receive
    restart: always 
    container_name: receiver2
    environment:
      RABBITMQURL: "amqp://rabbitmqserver"
      RABBITMQWFI: "rabbitmqserver:5672 -t 10 -- npm start"
    volumes: 
      - ./receive/app:/app
    links:
      - rabbitmqserver

  rabbitmqclient_sender:
    build: ./send 
    restart: always 
    container_name: sender
    environment:
      RABBITMQURL: "amqp://rabbitmqserver"
      RABBITMQWFI: "rabbitmqserver:5672 -t 10 -- npm start"
    volumes: 
      - ./send/app:/app
    links:
      - rabbitmqserver   